Author: Roland Rosenfeld <roland@debian.org>
Description: Strip trailing whitespace from OIDs (Closes: #321787)
Bug-Debian: https://bugs.debian.org/321787
Forwarded: https://rt.cpan.org/Public/Bug/Display.html?id=133852
Date: Tue Aug 22 20:38:18 2017 +0200

--- a/examples/snmpget.pl
+++ b/examples/snmpget.pl
@@ -69,8 +69,10 @@ if (!defined $s->get_request(@args)) {
 
 # Print the results.
 for ($s->var_bind_names()) {
+   my $oid = $_;
+   $oid =~ s/ +//;
    printf "%s = %s: %s\n",
-          $_,
+          $oid,
           snmp_type_ntop($s->var_bind_types()->{$_}),
           $s->var_bind_list()->{$_};
 }
--- a/examples/snmpgetbulk.pl
+++ b/examples/snmpgetbulk.pl
@@ -71,8 +71,10 @@ if (!defined $s->get_bulk_request(@args)
 
 # Print the results.
 for ($s->var_bind_names()) {
+   my $oid = $_;
+   $oid =~ s/ +//;
    printf "%s = %s: %s\n",
-          $_,
+          $oid,
           snmp_type_ntop($s->var_bind_types()->{$_}),
           $s->var_bind_list()->{$_};
 }
--- a/examples/snmpgetnext.pl
+++ b/examples/snmpgetnext.pl
@@ -69,8 +69,10 @@ if (!defined $s->get_next_request(@args)
 
 # Print the results.
 for ($s->var_bind_names()) {
+   my $oid = $_;
+   $oid =~ s/ +//;
    printf "%s = %s: %s\n",
-          $_,
+          $oid,
           snmp_type_ntop($s->var_bind_types()->{$_}),
           $s->var_bind_list()->{$_};
 }
--- a/examples/table.pl
+++ b/examples/table.pl
@@ -40,7 +40,9 @@ my $result;
 
 if (defined ($result = $session->get_table(-baseoid => $OID_ifTable))) {
    for ($session->var_bind_names()) {
-      printf "%s => %s\n", $_, $result->{$_};
+      my $oid = $_;
+      $oid =~ s/ +//;
+      printf "%s => %s\n", $oid, $result->{$_};
    }
    print "\n";
 } else {
@@ -99,7 +101,9 @@ sub print_results_cb
       printf "ERROR: %s.\n", $session->error();
    } else {
       for ($session->var_bind_names()) {
-         printf "%s => %s\n", $_, $session->var_bind_list()->{$_};
+         my $oid = $_;
+         $oid =~ s/ +//;
+         printf "%s => %s\n", $oid, $session->var_bind_list()->{$_};
       }
    }
 
